Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.server.subscription
Class Subscription

    java.lang.Object
      org.jboss.messaging.core.ChannelSupport
          org.jboss.messaging.core.local.Pipe
              org.jboss.messaging.core.local.CoreSubscription
                  org.jboss.jms.server.subscription.Subscription

All Implemented Interfaces:
  Channel, DeliveryObserver, Distributor, Receiver

Direct Known Subclasses:
  DurableSubscription

public class Subscription
extends CoreSubscription

A Subscription.

Version:
  $Revision: 1.3 $ $Id: Subscription.java,v 1.3 2006/06/27 19:44:39 timfox Exp $
Author:
  Tim Fox

Field Summary

Fields inherited from class org.jboss.messaging.core.local.CoreSubscription
`filter, topic`

Fields inherited from class org.jboss.messaging.core.ChannelSupport
`channelID, mm, ms, pm, router, state`

Constructor Summary
`protected` | `Subscription(long id, Topic topic, MessageStore ms, PersistenceManager pm, MemoryManager mm, boolean recoverable, int fullSize, int pageSize, int downCacheSize, Selector selector, boolean isNoLocal)`
`` | `Subscription(long id, Topic topic, MessageStore ms, PersistenceManager pm, MemoryManager mm, int fullSize, int pageSize, int downCacheSize, Selector selector, boolean isNoLocal)`

Method Summary
`java.lang.String` | `getSelector()`
`boolean` | `isNoLocal()`

Methods inherited from class org.jboss.messaging.core.local.CoreSubscription
`connect, disconnect, getTopic, handle, load, toString`

Methods inherited from class org.jboss.messaging.core.ChannelSupport
`acceptReliableMessages, acknowledge, add, browse, browse, cancel, clear, close, contains, deliver, deliver, deliver, getChannelID, getMessageStore, isRecoverable, iterator, obtainReference, processMessageBeforeStorage, remove, removeAllMessages`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Subscription

    public Subscription(long id,
                        Topic topic,
                        MessageStore ms,
                        PersistenceManager pm,
                        MemoryManager mm,
                        int fullSize,
                        int pageSize,
                        int downCacheSize,
                        Selector selector,
                        boolean isNoLocal)

### Subscription

    protected Subscription(long id,
                           Topic topic,
                           MessageStore ms,
                           PersistenceManager pm,
                           MemoryManager mm,
                           boolean recoverable,
                           int fullSize,
                           int pageSize,
                           int downCacheSize,
                           Selector selector,
                           boolean isNoLocal)

Method Detail

### getSelector

    public java.lang.String getSelector()

### isNoLocal

    public boolean isNoLocal()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.